import { Address, Customer } from '../../../types';
export declare class ScCustomerDetails {
  el: HTMLScCustomerDetailsElement;
  heading: string;
  editLink: string;
  customer: Customer;
  loading: boolean;
  error: string;
  renderContent(): any;
  renderAddress(label: string, address: Address): any;
  renderEmpty(): any;
  renderLoading(): any;
  render(): any;
}
